| Home | Libraries | People | FAQ | More

###### saved_handler::emplace (1 of 2 overloads)

Store a completion handler in the container.

###### Synopsis

    template<
        class Handler,
        class Allocator>
    void
    emplace(
        Handler&& handler,
        Allocator const& alloc,
        net::cancellation_type cancel_type = net::cancellation_type::terminal);

###### Description

Requires this->`has_value()` == false .

###### Parameters

Name | Description
--- | ---
`handler` | The completion handler to store. The implementation takes ownership of the handler by performing a decay-copy.
`alloc` | The allocator to use.
`cancel_type` | The type of cancellation allowed to complete this op.